VBA_CAD获取用户输入的坐标点

论坛 期权论坛 期权     
VB小源码   2019-6-29 21:07   849   0
Sub 获取用户输入的坐标点()

    Dim startPnt As Variant
    Dim endPnt As Variant
    Dim prompt1 As String
    Dim prompt2 As String
   
    prompt1 = vbCrLf & "Enter the start point of the line: "
    prompt2 = vbCrLf & "Enter the end point of the line: "
   
    ' 在不输入基点的情况下获取第一点
    startPnt = ThisDrawing.Utility.GetPoint(, prompt1)
   
    ' 使用上面输入的点作为基点
    endPnt = ThisDrawing.Utility.GetPoint(startPnt, prompt2)
   
    ' 使用输入的两个点创建一条直线
    ThisDrawing.ModelSpace.AddLine startPnt, endPnt
    ThisDrawing.Application.ZoomAll
End Sub




分享到 :
0 人收藏
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

积分:
帖子:
精华:
期权论坛 期权论坛
发布
内容

下载期权论坛手机APP